commit b3c69e764d2644f1098c07677bd50b2192752520
Author: Yuki Sonoda (Yugui) <yugui@yugui.jp>
Date:   Thu Feb 10 16:14:46 2011 +0900

    make MailHandler extensible by derivation

diff --git a/app/models/mail_handler.rb b/app/models/mail_handler.rb
index 1410a60..e509d09 100644
--- a/app/models/mail_handler.rb
+++ b/app/models/mail_handler.rb
@@ -100,7 +100,7 @@ class MailHandler < ActionMailer::Base
     elsif m = email.subject.match(MESSAGE_REPLY_SUBJECT_RE)
       receive_message_reply(m[1].to_i)
     else
-      receive_issue
+      dispatch_to_default
     end
   rescue ActiveRecord::RecordInvalid => e
     # TODO: send a email to the user
@@ -113,6 +113,10 @@ class MailHandler < ActionMailer::Base
     logger.error "MailHandler: unauthorized attempt from #{user}" if logger
     false
   end
+
+  def dispatch_to_default
+    receive_issue
+  end
   
   # Creates a new issue
   def receive_issue
